Page MenuHomePhabricator

Error 404 while updating feed http://blog.wikimedia.org.au/category/wikimedia/feed/
Closed, ResolvedPublic

Description

http://blog.wikimedia.org.au/ links to

http://blog.wikimedia.org.au/feed/

and

http://blog.wikimedia.org.au/comments/feed/

but these links became 404 at some point.

This used to work, we noticed this because the Blog RSS Feed is included in en.planet.wikimedia.org (see parent task)

16:31 -!- Irssi: Join to #wikimedia-au was synced in 7 secs
...
16:33 < mutante> where can i open a ticket?
..
16:54 < p858snake> I would email https://lists.wikimedia.org/mailman/listinfo/wikimediaau-l
16:54 < p858snake> We did have a Bz at one stage but it looks to have disappeared
16:55 < p858snake> or file in phab without any projects, and I will cc a few of the au folks in

Details

Related Gerrit Patches:
operations/puppet : productionplanet: remove wikimedia.org.au feed

Event Timeline

Dzahn created this task.Apr 26 2016, 12:16 AM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptApr 26 2016, 12:16 AM
Dzahn updated the task description. (Show Details)Apr 26 2016, 12:17 AM
Dzahn added a subscriber: Peachey88.
Peachey88 updated the task description. (Show Details)Apr 26 2016, 12:36 AM
Peachey88 edited subscribers, added: Gnangarra; removed: gerritbot.
jayvdb added a subscriber: jayvdb.Apr 26 2016, 12:53 AM

This problem was identified in Jan and pinged in Feb.

@werdna Do you still do the WikimediaAU IT stuff? you are the last person I can find mentioned on the wiki/mailing lists (~2010ish)

I believe their IT is now done by @bilby / http://enwp.org/user:bilby .

Dzahn updated the task description. (Show Details)Apr 26 2016, 4:04 AM
Dzahn added a comment.Apr 26 2016, 4:09 AM

btw, Would the Australian Wikimedians like a a project tag here in phabricator for these things? would not be hard to setup but maybe be quite helpful.

Dereckson added a comment.EditedApr 26 2016, 10:01 AM

So, Wordpress is correctly configured.

For example the application URL http://blog.wikimedia.org.au/index.php/?feed=atom redirects to the canonical http://blog.wikimedia.org.au/feed/atom/.

But it seems your web server doesn't pass all the various URL lile here /feed/* to WordPress index.php entry point.

Dzahn removed Dzahn as the assignee of this task.Apr 27 2016, 6:36 AM
Dzahn triaged this task as Low priority.
Dzahn added a comment.Oct 4 2016, 4:44 PM

Hello Wikimedia Australia, friendly ping about this.

Dzahn added a comment.Oct 4 2016, 5:07 PM

sent an email to contact-at-wikimedia.org.au about this

sent an email to contact-at-wikimedia.org.au about this

@Dzahn: Did you get any reply?

yes, we recieved the email and our tech guru was looking into the matter
the link was severed when we had to change hosts after a major server
failure

@Gnangarra: Does your tech guru plan to take care of this? :)

Dzahn added a comment.EditedNov 18 2016, 2:19 AM

Yea, i was gonna ask to0, i wasn't sure if this means it will not come back or if it will be fixed. If it doesn't come back and there is no alternative RSS feed of Wikimedia Australia we would simply remove it, but nicer would be a working RSS/Atom feed of some kind, of course.

Aklapper closed this task as Declined.Dec 21 2016, 6:27 AM

Unfortunately closing this report as no further information has been provided by @Gnangarra.
Please reopen this report (by changing its status) after you have provided the information asked for and if this still happens. Thanks!

Change 328465 had a related patch set uploaded (by Dzahn):
planet: remove wikimedia.org.au feed

https://gerrit.wikimedia.org/r/328465

Dzahn reopened this task as Open.Dec 21 2016, 6:30 AM
Dzahn claimed this task.

I will take care of it.

Change 328465 merged by Dzahn:
planet: remove wikimedia.org.au feed

https://gerrit.wikimedia.org/r/328465

Dzahn added a comment.Dec 21 2016, 6:40 AM

Please let us know @Gnangarra or anyone else if there is a working RSS/Atom feed for Wikimedia Australia again in the future. For now we have removed it from Planet, but more than happy to re-add it. The easiest way to let us know is just reopening this ticket / commenting on it.

Dzahn closed this task as Resolved.Dec 21 2016, 6:44 AM

removed by puppet on planet1001

Peachey88 updated the task description. (Show Details)